For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • POSTTrigger a dynamic pull request run
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Test Runs

List test runs

||View as Markdown|
GET
https://tester.army/api/v1/runs
GET
/api/v1/runs
$curl https://tester.army/api/v1/runs \
> -H "Authorization: Bearer <token>"
1{
2 "runs": [
3 {
4 "id": "string",
5 "type": "ci",
6 "status": "queued",
7 "input": {},
8 "createdAt": "2024-01-15T09:30:00Z",
9 "platform": "web",
10 "source": "api",
11 "projectId": "string",
12 "output": {
13 "featureName": "string",
14 "result": "PASS",
15 "description": "string",
16 "screenshots": [
17 "string"
18 ],
19 "issues": [
20 {
21 "name": "string",
22 "description": "string",
23 "url": "string",
24 "type": "issue",
25 "severity": 1,
26 "reproductionSteps": [
27 "string"
28 ],
29 "expectedBehavior": "string",
30 "actualBehavior": "string",
31 "screenshotUrl": "string",
32 "tMs": 1
33 }
34 ],
35 "steps": [
36 {
37 "stepIndex": 1,
38 "title": "string",
39 "status": "passed",
40 "type": "act",
41 "summary": "string",
42 "error": "string",
43 "errorCode": "AUTH_CREDENTIAL_UNAVAILABLE",
44 "startedAtMs": 1,
45 "completedAtMs": 1,
46 "reusableActionTrace": {
47 "version": 1,
48 "stepKey": "string",
49 "stepTitle": "string",
50 "actions": [
51 {
52 "order": 1,
53 "toolName": "string",
54 "summary": "string",
55 "target": {
56 "kind": "role",
57 "role": "string",
58 "name": "string",
59 "nth": 1,
60 "selector": "string",
61 "element": "string"
62 },
63 "input": {
64 "url": "string",
65 "field": "username",
66 "option": "string",
67 "key": "string",
68 "direction": "up",
69 "amount": 1,
70 "focused": true,
71 "sequentially": true
72 }
73 }
74 ],
75 "confidence": "medium",
76 "stepType": "act"
77 }
78 }
79 ]
80 },
81 "testPlan": {
82 "instructions": "string",
83 "focusAreas": [
84 "string"
85 ],
86 "complexity": "simple",
87 "changeType": "frontend",
88 "steps": [
89 {
90 "title": "string",
91 "type": "act"
92 }
93 ]
94 },
95 "error": {
96 "code": "string",
97 "message": "string"
98 },
99 "durationMs": 1.1,
100 "webhookUrl": "string",
101 "webhookStatus": "pending",
102 "testId": "string",
103 "stepResults": [
104 {}
105 ],
106 "userName": "string",
107 "externalRef": {},
108 "executionMode": "fast",
109 "startedAt": "2024-01-15T09:30:00Z",
110 "completedAt": "2024-01-15T09:30:00Z"
111 }
112 ],
113 "nextCursor": "string"
114}

List test runs for the authenticated team with optional project/status filtering and cursor pagination.

Was this page helpful?
Previous

Trigger a group webhook

Next

Get test run status

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Query parameters

limitstringOptional

Max results per page (default 20, max 100)

statusenumOptional
Filter by status
Allowed values:
projectIdstringOptionalformat: "uuid"
Filter by project ID
testIdstringOptionalformat: "uuid"
Filter by test ID
cursorstringOptional
Cursor for pagination

Response

List of runs
runslist of objects
List of runs
nextCursorstring or null
Cursor for fetching the next page

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error